## org.biojava.bio.seq.io.agave
Class AGAVEAltIdsPropHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXPropertyHandler
              org.biojava.bio.seq.io.agave.AGAVEAltIdsPropHandler

All Implemented Interfaces:
  AGAVEDbIdCallbackItf, StAXContentHandler

    public class AGAVEAltIdsPropHandler

extends StAXPropertyHandler
implements AGAVEDbIdCallbackItf

Deals with alternate sequence IDs

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` `AGAVE_ALT_IDS_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` `addDbId(AGAVEDbId db_id)`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`addHandler, endElement, endElementHandler, getHandlerStackIterator, setHandlerCharacteristics, setProperty, startElement, startElementHandler`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_ALT_IDS_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_ALT_IDS_PROP_HANDLER_FACTORY

Method Detail

### addDbId

    public void addDbId(AGAVEDbId db_id)

  Specified by:
    `addDbId` in interface `AGAVEDbIdCallbackItf`